bplgt(1)

NAME
bplgt - Logtalk integration script for B-Prolog

SYNOPSIS
bplgt [-g goal]

DESCRIPTION
bplgt is a Logtalk integration script for B-Prolog. It automatically loads the B-Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It uses the bp executable -i option to load the Logtalk files. It passes any options to the bp executable; see the B-Prolog documentation for the available options.

OPTIONS
The most common option is:

-g  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
B-Prolog 8.1 or a later version is required. This integration script looks for a bp executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_bp.pl
    Prolog file used for loading the necessary files for starting Logtalk using B-Prolog as the backend compiler.

$LOGTALKHOME/adapters/b.pl
    The B-Prolog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The B-Prolog website at http://www.probp.com/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2021 Paulo Moura.